services:
  dockpeek:
    image: ghcr.io/dockpeek/dockpeek:latest
    container_name: dockpeek
    environment:
      - SECRET_KEY=saljfbhwkhsjgbwjlefn   # Set secret key
      - USERNAME=soenke         # Change default username
      - PASSWORD=Diavid9600             # Change default password
    ports:
      - "3420:8000"
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    restart: unless-stopped
